Subject: Re: bug#55595: 29.0.50; Compilation warnings on macOS

From: Rudolf Adamkovič <[email-masked]>
Date: Thu, 02 Jun 2022 20:36:58 +0200

Eli Zaretskii <[email-masked]> writes:

> Thanks, please try the latest master branch, where I tried to fix
> that.

I tried again at:

8f279c8666dc642ed1f8f49aa709530fcea47374

Compile command:

./configure --with-json --with-native-compilation && make && make install

I get 4 errors in the compilation buffer ...

./configure: line 43329: sort: No such file or directory
./configure: line 43326: sed: No such file or directory

./configure: line 44836: sort: No such file or directory
./configure: line 44833: sed: No such file or directory

... and I get 4 warnings in the compilation buffer:

comp.c:2816:24: warning: pragma diagnostic pop could not pop, no matching push [-Wunknown-pragmas]
#pragma GCC diagnostic pop
                       ^
comp.c:4698:24: warning: pragma diagnostic pop could not pop, no matching push [-Wunknown-pragmas]
#pragma GCC diagnostic pop
                       ^
comp.c:4714:24: warning: pragma diagnostic pop could not pop, no matching push [-Wunknown-pragmas]
#pragma GCC diagnostic pop
                       ^
comp.c:4967:24: warning: pragma diagnostic pop could not pop, no matching push [-Wunknown-pragmas]
#pragma GCC diagnostic pop
                       ^

Despite the errors, the compilation continues and completes.

Rudy
-- 
"Be especially critical of any statement following the word
'obviously.'"
-- Anna Pell Wheeler, 1883-1966

Rudolf Adamkovič <[email-masked]> [he/him]
Studenohorská 25
84103 Bratislava
Slovakia